import request from '@/utils/request'

// 查询用户信息数量统计列表
export function listUserCount(query) {
  return request({
    url: '/cai/userCount/list',
    method: 'get',
    params: query
  })
}

// 查询用户信息数量统计详细
export function getUserCount(userId) {
  return request({
    url: '/cai/userCount/' + userId,
    method: 'get'
  })
}

export function resetUserCount(params) {
  return request({
    url: '/cai/userCount/reset',
    method: 'get',
    params: params
  })
}

// 新增用户信息数量统计
export function addUserCount(data) {
  return request({
    url: '/cai/userCount',
    method: 'post',
    data: data
  })
}

// 修改用户信息数量统计
export function updateUserCount(data) {
  return request({
    url: '/cai/userCount',
    method: 'put',
    data: data
  })
}

// 删除用户信息数量统计
export function delUserCount(userId) {
  return request({
    url: '/cai/userCount/' + userId,
    method: 'delete'
  })
}
